Bug 1471017 - Ansible DNF is not able to install package groups
Ansible DNF is not able to install package groups
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ansible (Show other bugs)
26
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-14 05:29 EDT by Dirk Davidis
Modified: 2017-09-22 04:17 EDT (History)
9 users (show)

See Also:
Fixed In Version: ansible-2.3.2.0-1.fc26 ansible-2.3.2.0-1.el6
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-22 04:17:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Github 26868 None None None 2017-07-18 13:12 EDT

  None (edit)
Description Dirk Davidis 2017-07-14 05:29:55 EDT
Description of problem:

In Fedora 26 it is not possible to install DNF Package groups with Ansible. I tried several ways of typing the Groupname @ansible-node "Ansible Node" etc. following the specs from Ansible Documentation

Version-Release number of selected component (if applicable):

Ansible: 2.3.1.0


How reproducible:

ansible localhost -m dnf -a 'name=@ansible-node state=present'


Steps to Reproduce:
1.
2.
3.

Actual results:

ocalhost | FAILED! => {
    "changed": false, 
    "failed": true, 
    "module_stderr": "No handlers could be found for logger \"dnf\"\nTraceback (most recent call last):\n  File \"/tmp/ansible_KFzpp3/ansible_module_dnf.py\", line 493, in <module>\n    main()\n  File \"/tmp/ansible_KFzpp3/ansible_module_dnf.py\", line 489, in main\n    ensure(module, base, params['state'], params['name'])\n  File \"/tmp/ansible_KFzpp3/ansible_module_dnf.py\", line 350, in ensure\n    base.group_install(group, dnf.const.GROUP_PACKAGE_TYPES)\n  File \"/usr/lib/python2.7/site-packages/dnf/base.py\", line 1460, in group_install\n    strict)\n  File \"/usr/lib/python2.7/site-packages/dnf/comps.py\", line 90, in install_or_skip\n    return install_fnc(grp_or_env_id, types, exclude, strict)\n  File \"/usr/lib/python2.7/site-packages/dnf/comps.py\", line 600, in _group_install\n    raise ValueError(_(\"Group_id '%s' does not exist.\") % ucd(group_id))\nValueError: <exception str() failed>\n", 
    "module_stdout": "", 
    "msg": "MODULE FAILURE", 
    "rc": 0
}



Expected results:

Package Group should be installed.

Additional info:

My Playbooks are working on F25 without any issue.
Comment 1 Honza Horak 2017-07-15 06:25:44 EDT
Same issue here with '@rpm-development-tools', so name of the group does not matter probably.
Comment 2 Dirk Davidis 2017-07-15 06:58:38 EDT
@Honza, you are right, it doesnt matter which group, none of them is working,i tried several groups with different ways of writing the group name like @^... or "Group Name" none of them is working.
Comment 3 Kevin Fenzi 2017-07-18 13:12:47 EDT
https://github.com/ansible/ansible/issues/26868
Comment 4 Jason Tibbitts 2017-07-25 18:19:22 EDT
I submitted a pull request upstream: https://github.com/ansible/ansible/pull/27302

Testing is of course welcome; I tested against F24 and up but if anyone has anything older around it might be nice to make sure they don't break.  I did some koji scratch builds:

F25: https://koji.fedoraproject.org/koji/taskinfo?taskID=20730367
F26: https://koji.fedoraproject.org/koji/taskinfo?taskID=20730365
rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=20730370

These contain my patch for this bug as well as the upstream fix for https://bugzilla.redhat.com/show_bug.cgi?id=1461116
Comment 5 Jason Tibbitts 2017-07-25 19:25:11 EDT
This was merged and will hopefully be in 2.3.2.
Comment 6 Fedora Update System 2017-08-13 00:03:18 EDT
ansible-2.3.2.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-322ae91a75
Comment 7 Fedora Update System 2017-08-24 11:50:58 EDT
ansible-2.3.2.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2017-09-05 18:42:38 EDT
ansible-2.3.2.0-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-503601886f
Comment 9 Fedora Update System 2017-09-06 18:48:51 EDT
ansible-2.3.2.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-503601886f
Comment 10 Fedora Update System 2017-09-22 04:17:39 EDT
ansible-2.3.2.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.